Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ClusterRuntimeMBean

All Superinterfaces:
  DynamicMBean, weblogic.health.HealthFeedback, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface ClusterRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

This class is used for monitoring a server's view of the members of a WebLogic cluster within a WebLogic domain.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getAliveServerCount()` Provides the current total number of alive servers in this cluster.
`MachineMBean` | `getCurrentMachine()` Provides the current MachineMBean of the server.
`String` | `getCurrentSecondaryServer()`
`long` | `getForeignFragmentsDroppedCount()` Provides the number of fragments that originated in foreign domains or clusters which use the same multicast address.
`long` | `getFragmentsReceivedCount()` Provides the total number of multicast messages received on this server from the cluster.
`long` | `getFragmentsSentCount()` Provides the total number of multicast fragments sent from this server into the cluster.
`weblogic.health.HealthState` | `getHealthState()`
`long` | `getMulticastMessagesLostCount()` Provides the total number of in-coming multicast messages that were lost according to this server.
`long` | `getPrimaryCount()` Provides the number of object that the local server hosts as primaries.
`long` | `getResendRequestsCount()` Provides the number of state-delta messages that had to be resent because a receiving server in the cluster missed a message.
`String[]` | `getSecondaryDistributionNames()` Provides the names of the remote servers (such as myserver) for which the local server is hosting secondary objects.
`weblogic.management.runtime.ServerMigrationRuntimeMBean` | `getServerMigrationRuntime()` Provides information about server migrations performed by this server.
`String[]` | `getServerNames()` Provides the names of the servers in the cluster.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAliveServerCount

    public int getAliveServerCount()

  Provides the current total number of alive servers in this cluster.

  Returns the current total number of alive servers in this cluster.

  Returns:
    The aliveServerCount value

### getCurrentMachine

    public MachineMBean getCurrentMachine()

  Provides the current MachineMBean of the server. In most cases this is the MachineMBean that the server is configured to run on. The only time when this will not be true is if auto-migration is enabled. This method will report the current host machine for the server, in that case.

  Returns:
    MachineMBean of the machine currently hosting this server

### getCurrentSecondaryServer

    public String getCurrentSecondaryServer()

  Returns:
    Current secondary server name

### getForeignFragmentsDroppedCount

    public long getForeignFragmentsDroppedCount()

  Provides the number of fragments that originated in foreign domains or clusters which use the same multicast address.

  Answer the number of fragments that originated in foreign domains/cluster that use the same multicast address.

  Returns:
    The foreignFragmentsDroppedCount value

### getFragmentsReceivedCount

    public long getFragmentsReceivedCount()

  Provides the total number of multicast messages received on this server from the cluster.

  Returns:
    The fragmentsReceivedCount value

### getFragmentsSentCount

    public long getFragmentsSentCount()

  Provides the total number of multicast fragments sent from this server into the cluster.

  Returns the total number of multicast fragments sent from this server into the cluster.

  Returns:
    The fragmentsSentCount value

### getHealthState

    public weblogic.health.HealthState getHealthState()

  Specified by:
    `getHealthState` in interface `weblogic.health.HealthFeedback`

### getMulticastMessagesLostCount

    public long getMulticastMessagesLostCount()

  Provides the total number of in-coming multicast messages that were lost according to this server.

  Returns:
    The multicastMessagesLostCount value

### getPrimaryCount

    public long getPrimaryCount()

  Provides the number of object that the local server hosts as primaries.

  Answer the number of object that the local server hosts as primaries.

  Returns:
    The primaryCount value

### getResendRequestsCount

    public long getResendRequestsCount()

  Provides the number of state-delta messages that had to be resent because a receiving server in the cluster missed a message.

  Returns the number of state-delta messages that had to be resent because a receiving server in the cluster missed a message.

  Returns:
    The resendRequestsCount value

### getSecondaryDistributionNames

    public String[] getSecondaryDistributionNames()

  Provides the names of the remote servers (such as myserver) for which the local server is hosting secondary objects. The name is appended with a number to indicate the number of secondaries hosted on behalf of that server.

  Returns:
    The secondaryDistributionNames value

### getServerMigrationRuntime

    public weblogic.management.runtime.ServerMigrationRuntimeMBean getServerMigrationRuntime()

  Provides information about server migrations performed by this server. If the current server is not responsible for migrations, it points to the server that is responsible for it.

### getServerNames

    public String[] getServerNames()

  Provides the names of the servers in the cluster.

  Returns:
    The serverNames value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD